MWAWHeaderFooter Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
MWAWHeaderFooter Class Reference

a class which stores the header/footer data More...

`#include <MWAWPageSpan.hxx>`

## Public Types
enum | Type { HEADER, FOOTER, UNDEF }
| the header/footer type More...
enum | Occurrence { ODD, EVEN, ALL, NEVER }
| the header/footer occurrence in the file More...
enum | PageNumberPosition { None = 0, TopLeft, TopCenter, TopRight, BottomLeft, BottomCenter, BottomRight }
| a fixed page number position More...

## Public Member Functions
| MWAWHeaderFooter (Type const type=UNDEF, Occurrence const occurrence=NEVER)
| constructor More...
| ~MWAWHeaderFooter ()
| destructor More...
bool | isDefined () const
| returns true if the header footer is defined More...
void | send (MWAWListener *listener) const
| send to header to the listener More...
bool | operator== (MWAWHeaderFooter const &headerFooter) const
| operator== More...
bool | operator!= (MWAWHeaderFooter const &headerFooter) const
| operator!= More...
void | insertPageNumberParagraph (MWAWListener *listener) const
| insert a page number More...

## Public Attributes
Type | m_type
| the type header/footer More...
Occurrence | m_occurrence
| the actual occurrence More...
double | m_height
| the height ( if known ) More...
PageNumberPosition | m_pageNumberPosition
| the page number position ( or none) More...
libmwaw::NumberingType | m_pageNumberType
| the page numbering type More...
MWAWFont | m_pageNumberFont
| the page numbering font More...
MWAWSubDocumentPtr | m_subDocument
| the document data More...

## Detailed Description

a class which stores the header/footer data

## Member Enumeration Documentation

enum MWAWHeaderFooter::Occurrence

the header/footer occurrence in the file

Enumerator
ODD |
EVEN |
ALL |
NEVER |

enum MWAWHeaderFooter::PageNumberPosition

a fixed page number position

Enumerator
None |
TopLeft |
TopCenter |
TopRight |
BottomLeft |
BottomCenter |
BottomRight |

enum MWAWHeaderFooter::Type

the header/footer type

Enumerator
HEADER |
FOOTER |
UNDEF |

## Constructor & Destructor Documentation

MWAWHeaderFooter::MWAWHeaderFooter | ( | MWAWHeaderFooter::Type const | type = `UNDEF`,
|  | MWAWHeaderFooter::Occurrence const | occurrence = `NEVER`
| ) |  |

constructor

MWAWHeaderFooter::~MWAWHeaderFooter | ( |  | ) |

destructor

## Member Function Documentation

void MWAWHeaderFooter::insertPageNumberParagraph | ( | MWAWListener * | listener | ) | const

insert a page number

Referenced by operator!=(), and MWAWPageSpanInternal::SubDocument::parse().

bool MWAWHeaderFooter::isDefined | ( |  | ) | const
| inline

returns true if the header footer is defined

Referenced by MWAWPageSpan::sendHeaderFooters().

bool MWAWHeaderFooter::operator!= | ( | MWAWHeaderFooter const & | headerFooter | ) | const
| inline

operator!=

bool MWAWHeaderFooter::operator== | ( | MWAWHeaderFooter const & | headerFooter | ) | const

operator==

Referenced by isDefined(), operator!=(), MWAWPageSpan::operator!=(), and MWAWPageSpan::setPageSpan().

void MWAWHeaderFooter::send | ( | MWAWListener * | listener | ) | const

send to header to the listener

Referenced by isDefined(), and MWAWPageSpan::sendHeaderFooters().

## Member Data Documentation

double MWAWHeaderFooter::m_height

the height ( if known )

Referenced by operator==().

Occurrence MWAWHeaderFooter::m_occurrence

the actual occurrence

Referenced by operator==(), send(), MWAWPageSpan::sendHeaderFooters(), and MWAWPageSpan::setHeaderFooter().

MWAWFont MWAWHeaderFooter::m_pageNumberFont

the page numbering font

Referenced by insertPageNumberParagraph(), and operator==().

PageNumberPosition MWAWHeaderFooter::m_pageNumberPosition

the page number position ( or none)

Referenced by insertPageNumberParagraph(), operator==(), MWAWPageSpanInternal::SubDocument::parse(), and send().

libmwaw::NumberingType MWAWHeaderFooter::m_pageNumberType

the page numbering type

Referenced by insertPageNumberParagraph(), and operator==().

MWAWSubDocumentPtr MWAWHeaderFooter::m_subDocument

the document data

Referenced by MouseWrtParser::createDocument(), GreatWksParser::createDocument(), MsWrd1Parser::createDocument(), MacWrtParser::createDocument(), GreatWksSSParser::createDocument(), ActaParser::createDocument(), BeagleWksParser::createDocument(), LightWayTxtParser::createDocument(), GreatWksDBParser::createDocument(), MindWrtParser::createDocument(), BeagleWksDBParser::createDocument(), NisusWrtParser::createDocument(), BeagleWksSSParser::createDocument(), WriterPlsParser::createDocument(), FullWrtParser::createDocument(), MacWrtProParser::createDocument(), WriteNowParser::createDocument(), MoreParser::createDocument(), ZWrtParser::createDocument(), MsWrdParser::createDocument(), HanMacWrdJParser::createDocument(), MarinerWrtParser::createDocument(), HanMacWrdKParser::createDocument(), MsWksDocument::getPageSpanList(), operator==(), MWAWPageSpanInternal::SubDocument::parse(), send(), ClarisWksText::updatePageSpanList(), DocMkrText::updatePageSpanList(), and ClarisWksDocument::updatePageSpanList().

Type MWAWHeaderFooter::m_type

the type header/footer

Referenced by isDefined(), operator==(), send(), and MWAWPageSpan::setHeaderFooter().

The documentation for this class was generated from the following files:

- MWAWPageSpan.hxx
- MWAWPageSpan.cxx